WRITE_INODE_NOW(9)

NAME
write_inode_now - write an inode to disk

SYNOPSIS

int write_inode_now(struct inode * inode, int sync);

ARGUMENTS

inode
    inode to write to disk

sync
    whether the write should be synchronous or not

DESCRIPTION

This function commits an inode to disk immediately if it is dirty. This is primarily needed by knfsd.

The caller must either have a ref on the inode or must have set I_WILL_FREE.

COPYRIGHT